import { request } from '@/utils/request.js';

//延期预警列表
export const getDelayWarnList = (data) =>
  request({
    url: '/api/admin/tb/delay/warn/query',
    method: 'post',
    params: data,
  });

//关闭单个延期预警
export const closeDelayWarn = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/close?id=' + id,
    method: 'post',
    loading: true,
  });
//重启延期预警
export const restartDelayWarn = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/restart?id=' + id,
    method: 'post',
    loading: true,
  });
//延期预警明细
export const delayWarnDetail = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/detail/list?id=' + id,
    method: 'post',
  });

//延期预警跟进
export const flowDelayWarn = (data) =>
  request({
    url: '/api/admin/tb/delay/warn/detail/save',
    method: 'post',
    data,
    loading: true,
  });
